<a href="https://www.telerik.com/kendo-angular-ui/" target="_blank">
<img width="631" src="https://demos.telerik.com/kendo-angular-ui/assets/banner/npm-banner.svg">
</a>

## Kendo UI for Angular PDFViewer Component

> * This package is part of [Kendo UI for Angular](https://www.telerik.com/kendo-angular-ui/)&mdash;a commercial UI library.
> * To use this package, you must install a license key file, whether you are on a paid license or a 30-day free trial. To receive a license key, either [purchase a license](https://www.telerik.com/purchase/kendo-ui) or start a [free trial](https://www.telerik.com/download-login-v2-kendo-angular-ui).
> * Adding a valid license key file ensures a seamless experience during the trial period&mdash;no watermarks, no warnings, and full access to all components and features.
> * Trial users can register for a free license key file. Without it, your trial may be interrupted by visual indicators or functionality limitations.
> * Additionally, for the period of your license, you get access to our legendary technical support provided directly by the Kendo UI for Angular team!
> * Learn more: https://www.telerik.com/kendo-angular-ui/components/licensing
>
> [Start using Kendo UI for Angular](https://www.telerik.com/download-login-v2-kendo-angular-ui) and speed up your development process!

## Angular PDFViewer Component

The [Kendo UI for Angular PDFViewer](https://www.telerik.com/kendo-angular-ui/components/pdfviewer) component allows users to view and interact with PDF files directly in the browser. The PDFViewer includes a comprehensive set of ready-to-use features covering everything from navigation through pages, zooming in and out, uploading files from the local file system, keyboard navigation, accessibility support and many more.

## Key Features

Among the many features which the Kendo UI for Angular PDFViewer delivers are:

* [Data Binding](https://www.telerik.com/kendo-angular-ui/components/pdfviewer/data-binding)&mdash;The PDFViewer supports diverse data binding types such as `URL` string, `Base64` string, `ArrayBuffer` object, or `TypedArray` object.
* [Toolbar Tools](https://www.telerik.com/kendo-angular-ui/components/pdfviewer/tools)&mdash;The PDF Viewer offers built-in toolbar tools, enabling users to interact with the component and execute various actions on the PDF content such as page navigation, text search, zoom in and out, download, upload print and many more.
* [Events](https://www.telerik.com/kendo-angular-ui/components/pdfviewer/events)&mdash;The PDFViewer exposes various events that allows you to easily handle and customize file operations.
* [Accessibility](https://www.telerik.com/kendo-angular-ui/components/pdfviewer/accessibility)&mdash;The PDFViewer is accessible for screen readers and supports WAI-ARIA attributes.
* [Keyboard Navigation](https://www.telerik.com/kendo-angular-ui/components/pdfviewer/keyboard-navigation)&mdash;The PDFViewer supports a number of keyboard shortcuts which allow users to accomplish various commands.

## Support Options

For any issues you might encounter while working with the Kendo UI for Angular PDFViewer, you have the following support channels available:

* Industry-leading technical support&mdash;Kendo UI for Angular paid license holders and users with an active (free) trial license can take advantage of our outstanding customer support. To submit a ticket, use the [dedicated Kendo UI for Angular support system](https://www.telerik.com/account/support-tickets).
* Product forums&mdash;The [Kendo UI for Angular forums](https://www.telerik.com/forums/kendo-angular-ui) are part of the free support you can get from the community and from the Kendo UI for Angular team.
* Feedback portal&mdash;The [Kendo UI for Angular feedback portal](https://feedback.telerik.com/kendo-angular-ui) is where you can request and vote for new features to be added.

## Resources

* [Getting Started with Kendo UI for Angular](https://www.telerik.com/kendo-angular-ui/getting-started)
* [Getting Started with the Kendo UI for Angular PDFViewer](https://www.telerik.com/kendo-angular-ui/components/pdfviewer/installation/getting-started)
* [PDFViewer Overview page](https://www.telerik.com/kendo-angular-ui/components/pdfviewer) and [PDFViewer API reference](https://www.telerik.com/kendo-angular-ui/components/pdfviewer/api)
* [Kendo UI for Angular roadmap](https://www.telerik.com/kendo-angular-ui/roadmap)
* [Blogs](http://www.telerik.com/blogs/kendo-ui)
* [Demos, documentation, and component reference](https://www.telerik.com/kendo-angular-ui/components)
* [Kendo UI for Angular pricing and licensing](https://www.telerik.com/purchase/kendo-ui)

_Copyright © 2025 Progress Software Corporation and/or one of its subsidiaries or affiliates. All rights reserved._

_Progress, Telerik, and certain product names used herein are trademarks or registered trademarks of Progress Software Corporation and/or one of its subsidiaries or affiliates in the U.S. and/or other countries._
