/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { PDFViewerCustomMessagesComponent } from "./localization/custom-messages.component";
import { PDFViewerComponent } from "./pdfviewer.component";
/**
 * Use the `KENDO_PDFVIEWER` utility array to add all `@progress/kendo-angular-pdf-viewer`-related components and directives to a standalone Angular component.
 *
 * @example
 * ```typescript
 * import { Component } from '@angular/core';
 * import { KENDO_PDFVIEWER } from "@progress/kendo-angular-pdf-viewer";
 *
 * @Component({
 *   standalone: true,
 *   imports: [KENDO_PDFVIEWER],
 *   selector: 'my-app',
 *   template: `<kendo-pdf-viewer [url]="pdfUrl"></kendo-pdf-viewer>`
 * })
 * export class AppComponent {}
 * ```
 */
export const KENDO_PDFVIEWER = [
    PDFViewerComponent,
    PDFViewerCustomMessagesComponent
];
