/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { Component, HostBinding, Input } from '@angular/core';
import { LoaderComponent as LoaderIndicatorComponent } from '@progress/kendo-angular-indicators';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export class LoaderComponent {
    settings;
    loaderContainerClass = true;
    loaderContainerSizingClass = true;
    loaderPositionClass = true;
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LoaderComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "16.2.12", type: LoaderComponent, isStandalone: true, selector: "[kendoPDFViewerLoader]", inputs: { settings: "settings" }, host: { properties: { "class.k-loader-container": "this.loaderContainerClass", "class.k-loader-container-md": "this.loaderContainerSizingClass", "class.k-loader-top": "this.loaderPositionClass" } }, ngImport: i0, template: `
        <div class="k-loader-container-overlay k-overlay-light"></div>
        <div class="k-loader-container-inner">
            <kendo-loader
                [size]="settings?.size"
                [type]="settings?.type"
                [themeColor]="settings?.themeColor"></kendo-loader>
        </div>
    `, isInline: true, dependencies: [{ kind: "component", type: LoaderIndicatorComponent, selector: "kendo-loader", inputs: ["type", "themeColor", "size"] }] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: LoaderComponent, decorators: [{
            type: Component,
            args: [{
                    selector: '[kendoPDFViewerLoader]',
                    template: `
        <div class="k-loader-container-overlay k-overlay-light"></div>
        <div class="k-loader-container-inner">
            <kendo-loader
                [size]="settings?.size"
                [type]="settings?.type"
                [themeColor]="settings?.themeColor"></kendo-loader>
        </div>
    `,
                    standalone: true,
                    imports: [LoaderIndicatorComponent]
                }]
        }], propDecorators: { settings: [{
                type: Input
            }], loaderContainerClass: [{
                type: HostBinding,
                args: ['class.k-loader-container']
            }], loaderContainerSizingClass: [{
                type: HostBinding,
                args: ['class.k-loader-container-md']
            }], loaderPositionClass: [{
                type: HostBinding,
                args: ['class.k-loader-top']
            }] } });
