/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { Directive, Input } from '@angular/core';
import { ComponentMessages } from '@progress/kendo-angular-l10n';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export class Messages extends ComponentMessages {
    /**
     * Sets the title and label for the **ZoomIn** tool.
     */
    zoomInTitle;
    /**
     * Sets the title and label for the **ZoomOut** tool.
     */
    zoomOutTitle;
    /**
     * Sets the title and label for the **Selection** tool.
     */
    selectionTitle;
    /**
     * Sets the title and label for the **Panning** tool.
     */
    panningTitle;
    /**
     * Sets the title and label for the **Search** tool.
     */
    searchTitle;
    /**
     * Sets the title and label for the **Open** tool.
     */
    openTitle;
    /**
     * Sets the title and label for the **Download** tool.
     */
    downloadTitle;
    /**
     * Sets the title and label for the **Print** tool.
     */
    printTitle;
    /**
     * Sets the `aria-label` attribute for the Pager input element.
     */
    pagerInputLabel;
    /**
     * Sets the `title` attribute for the Pager input element.
     */
    pagerInputTitle;
    /**
     * Sets the label for the Pager **First page** button.
     */
    pagerFirstPage;
    /**
     * Sets the label for the Pager **Previous page** button.
     */
    pagerPreviousPage;
    /**
     * Sets the label for the Pager **Next page** button.
     */
    pagerNextPage;
    /**
     * Sets the label for the Pager **Last page** button.
     */
    pagerLastPage;
    /**
     * Sets the text before the Pager total-page number.
     */
    pagerOf;
    /**
     * Sets the text before the Pager input.
     */
    pagerPage;
    /**
     * Sets the text for the zoom level chooser **Fit to page** option.
     */
    fitToPage;
    /**
     * Sets the text for the zoom level chooser **Fit to width** option.
     */
    fitToWidth;
    /**
     * Sets the placeholder text for the search input.
     */
    searchInputPlaceholder;
    /**
     * Sets the text before the total number of matches in the **Search** tool.
     */
    searchMatchesOf;
    /**
     * Sets the title for the **Search** previous match button.
     */
    searchPreviousMatchTitle;
    /**
     * Sets the title for the **Search** next match button.
     */
    searchNextMatchTitle;
    /**
     * Sets the title for the **Search** close button.
     */
    searchCloseTitle;
    /**
     * Sets the title for the **Search** match case button.
     */
    searchMatchCaseTitle;
    /**
     * Sets the placeholder text for the zoom tool input.
     */
    zoomInputPlaceholder;
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: Messages, deps: null, target: i0.ɵɵFactoryTarget.Directive });
    static ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "16.2.12", type: Messages, selector: "kendo-pdfviewer-messages-base", inputs: { zoomInTitle: "zoomInTitle", zoomOutTitle: "zoomOutTitle", selectionTitle: "selectionTitle", panningTitle: "panningTitle", searchTitle: "searchTitle", openTitle: "openTitle", downloadTitle: "downloadTitle", printTitle: "printTitle", pagerInputLabel: "pagerInputLabel", pagerInputTitle: "pagerInputTitle", pagerFirstPage: "pagerFirstPage", pagerPreviousPage: "pagerPreviousPage", pagerNextPage: "pagerNextPage", pagerLastPage: "pagerLastPage", pagerOf: "pagerOf", pagerPage: "pagerPage", fitToPage: "fitToPage", fitToWidth: "fitToWidth", searchInputPlaceholder: "searchInputPlaceholder", searchMatchesOf: "searchMatchesOf", searchPreviousMatchTitle: "searchPreviousMatchTitle", searchNextMatchTitle: "searchNextMatchTitle", searchCloseTitle: "searchCloseTitle", searchMatchCaseTitle: "searchMatchCaseTitle", zoomInputPlaceholder: "zoomInputPlaceholder" }, usesInheritance: true, ngImport: i0 });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: Messages, decorators: [{
            type: Directive,
            args: [{
                    // eslint-disable-next-line @angular-eslint/directive-selector
                    selector: 'kendo-pdfviewer-messages-base'
                }]
        }], propDecorators: { zoomInTitle: [{
                type: Input
            }], zoomOutTitle: [{
                type: Input
            }], selectionTitle: [{
                type: Input
            }], panningTitle: [{
                type: Input
            }], searchTitle: [{
                type: Input
            }], openTitle: [{
                type: Input
            }], downloadTitle: [{
                type: Input
            }], printTitle: [{
                type: Input
            }], pagerInputLabel: [{
                type: Input
            }], pagerInputTitle: [{
                type: Input
            }], pagerFirstPage: [{
                type: Input
            }], pagerPreviousPage: [{
                type: Input
            }], pagerNextPage: [{
                type: Input
            }], pagerLastPage: [{
                type: Input
            }], pagerOf: [{
                type: Input
            }], pagerPage: [{
                type: Input
            }], fitToPage: [{
                type: Input
            }], fitToWidth: [{
                type: Input
            }], searchInputPlaceholder: [{
                type: Input
            }], searchMatchesOf: [{
                type: Input
            }], searchPreviousMatchTitle: [{
                type: Input
            }], searchNextMatchTitle: [{
                type: Input
            }], searchCloseTitle: [{
                type: Input
            }], searchMatchCaseTitle: [{
                type: Input
            }], zoomInputPlaceholder: [{
                type: Input
            }] } });
