/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ComboBoxComponent } from '@progress/kendo-angular-dropdowns';
import { Directive, ElementRef } from '@angular/core';
import { Keys } from '@progress/kendo-angular-common';
import * as i0 from "@angular/core";
import * as i1 from "@progress/kendo-angular-dropdowns";
/**
 * @hidden
 */
export class ToolbarComboBoxDirective {
    combo;
    hostEl;
    inputElement;
    constructor(combo, hostEl) {
        this.combo = combo;
        this.hostEl = hostEl;
    }
    ngAfterViewInit() {
        this.inputElement = this.combo.searchbar.input.nativeElement;
        this.hostEl.nativeElement.setAttribute('tabindex', '-1');
        this.inputElement.addEventListener('keydown', this.keydownHandler, true);
    }
    ngOnDestroy() {
        this.inputElement.removeEventListener('keydown', this.keydownHandler);
    }
    keydownHandler = (e) => {
        if (e.keyCode === Keys.Escape) {
            e.stopPropagation();
            if (this.combo.isOpen) {
                this.combo.toggle(false);
            }
            else {
                this.hostEl.nativeElement.parentElement.focus();
            }
        }
    };
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ToolbarComboBoxDirective, deps: [{ token: i1.ComboBoxComponent }, { token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Directive });
    static ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "16.2.12", type: ToolbarComboBoxDirective, isStandalone: true, selector: "[kendoPDFViewerComboBox]", ngImport: i0 });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: ToolbarComboBoxDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[kendoPDFViewerComboBox]',
                    standalone: true
                }]
        }], ctorParameters: function () { return [{ type: i1.ComboBoxComponent }, { type: i0.ElementRef }]; } });
