/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { Messages } from './messages';
import * as i0 from "@angular/core";
/**
 * Represents the custom messages component of the PDFViewer.
 *
 * Use this component to override default messages for the PDFViewer.
 *
 * @example
 * ```html
 * <kendo-pdfviewer [url]="pdfUrl">
 *   <kendo-pdfviewer-messages
 *       downloadTitle="Download PDF"
 *       printTitle="Print PDF">
 *   </kendo-pdfviewer-messages>
 * </kendo-pdfviewer>
 * ```
 */
export declare class PDFViewerCustomMessagesComponent extends Messages {
    protected service: LocalizationService;
    constructor(service: LocalizationService);
    protected get override(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<PDFViewerCustomMessagesComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PDFViewerCustomMessagesComponent, "kendo-pdfviewer-messages", never, {}, {}, never, never, true, never>;
}
