/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ComponentMessages } from '@progress/kendo-angular-l10n';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class Messages extends ComponentMessages {
    /**
     * Sets the title and label for the **ZoomIn** tool.
     */
    zoomInTitle: string;
    /**
     * Sets the title and label for the **ZoomOut** tool.
     */
    zoomOutTitle: string;
    /**
     * Sets the title and label for the **Selection** tool.
     */
    selectionTitle: string;
    /**
     * Sets the title and label for the **Panning** tool.
     */
    panningTitle: string;
    /**
     * Sets the title and label for the **Search** tool.
     */
    searchTitle: string;
    /**
     * Sets the title and label for the **Open** tool.
     */
    openTitle: string;
    /**
     * Sets the title and label for the **Download** tool.
     */
    downloadTitle: string;
    /**
     * Sets the title and label for the **Print** tool.
     */
    printTitle: string;
    /**
     * Sets the `aria-label` attribute for the Pager input element.
     */
    pagerInputLabel: string;
    /**
     * Sets the `title` attribute for the Pager input element.
     */
    pagerInputTitle: string;
    /**
     * Sets the label for the Pager **First page** button.
     */
    pagerFirstPage: string;
    /**
     * Sets the label for the Pager **Previous page** button.
     */
    pagerPreviousPage: string;
    /**
     * Sets the label for the Pager **Next page** button.
     */
    pagerNextPage: string;
    /**
     * Sets the label for the Pager **Last page** button.
     */
    pagerLastPage: string;
    /**
     * Sets the text before the Pager total-page number.
     */
    pagerOf: string;
    /**
     * Sets the text before the Pager input.
     */
    pagerPage: string;
    /**
     * Sets the text for the zoom level chooser **Fit to page** option.
     */
    fitToPage: string;
    /**
     * Sets the text for the zoom level chooser **Fit to width** option.
     */
    fitToWidth: string;
    /**
     * Sets the placeholder text for the search input.
     */
    searchInputPlaceholder: string;
    /**
     * Sets the text before the total number of matches in the **Search** tool.
     */
    searchMatchesOf: string;
    /**
     * Sets the title for the **Search** previous match button.
     */
    searchPreviousMatchTitle: string;
    /**
     * Sets the title for the **Search** next match button.
     */
    searchNextMatchTitle: string;
    /**
     * Sets the title for the **Search** close button.
     */
    searchCloseTitle: string;
    /**
     * Sets the title for the **Search** match case button.
     */
    searchMatchCaseTitle: string;
    /**
     * Sets the placeholder text for the zoom tool input.
     */
    zoomInputPlaceholder: string;
    static ɵfac: i0.ɵɵFactoryDeclaration<Messages, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<Messages, "kendo-pdfviewer-messages-base", never, { "zoomInTitle": { "alias": "zoomInTitle"; "required": false; }; "zoomOutTitle": { "alias": "zoomOutTitle"; "required": false; }; "selectionTitle": { "alias": "selectionTitle"; "required": false; }; "panningTitle": { "alias": "panningTitle"; "required": false; }; "searchTitle": { "alias": "searchTitle"; "required": false; }; "openTitle": { "alias": "openTitle"; "required": false; }; "downloadTitle": { "alias": "downloadTitle"; "required": false; }; "printTitle": { "alias": "printTitle"; "required": false; }; "pagerInputLabel": { "alias": "pagerInputLabel"; "required": false; }; "pagerInputTitle": { "alias": "pagerInputTitle"; "required": false; }; "pagerFirstPage": { "alias": "pagerFirstPage"; "required": false; }; "pagerPreviousPage": { "alias": "pagerPreviousPage"; "required": false; }; "pagerNextPage": { "alias": "pagerNextPage"; "required": false; }; "pagerLastPage": { "alias": "pagerLastPage"; "required": false; }; "pagerOf": { "alias": "pagerOf"; "required": false; }; "pagerPage": { "alias": "pagerPage"; "required": false; }; "fitToPage": { "alias": "fitToPage"; "required": false; }; "fitToWidth": { "alias": "fitToWidth"; "required": false; }; "searchInputPlaceholder": { "alias": "searchInputPlaceholder"; "required": false; }; "searchMatchesOf": { "alias": "searchMatchesOf"; "required": false; }; "searchPreviousMatchTitle": { "alias": "searchPreviousMatchTitle"; "required": false; }; "searchNextMatchTitle": { "alias": "searchNextMatchTitle"; "required": false; }; "searchCloseTitle": { "alias": "searchCloseTitle"; "required": false; }; "searchMatchCaseTitle": { "alias": "searchMatchCaseTitle"; "required": false; }; "zoomInputPlaceholder": { "alias": "zoomInputPlaceholder"; "required": false; }; }, {}, never, never, false, never>;
}
