/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { LoaderSize, LoaderThemeColor, LoaderType } from "@progress/kendo-angular-indicators";
/**
 * Defines the configuration options for the Loader component displayed while loading a PDF document.
 */
export interface LoaderSettings {
    /**
     * Specifies the size of the Loader.
     */
    size: LoaderSize;
    /**
     * Specifies the Loader animation type.
     */
    type: LoaderType;
    /**
     * Specifies the Loader theme color.
     */
    themeColor: LoaderThemeColor;
}
