/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { PDFDocumentProxy } from "@progress/kendo-pdfviewer-common";
import { PDFPageProxy } from 'pdfjs-dist';
/**
 * Represents the currently loaded `PDF.js` document, its pages, and their DOM element wrapper.
 */
export interface PDFViewerContext {
    /**
     * Represents the loaded `PDF.js` document.
     */
    pdfDoc: PDFDocumentProxy;
    /**
     * Defines the root DOM element wrapper for the PDF document.
     */
    element: HTMLDivElement;
    /**
     * Defines the loaded `PDF.js` pages.
     */
    pdfPages: PDFPageProxy[];
    /**
     * Represents the current zoom level.
     */
    zoom: number;
}
