/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./pdfviewer.component";
import * as i2 from "./localization/custom-messages.component";
/**
 * Represents the [`NgModule`](link:site.data.urls.angular['ngmoduleapi']) definition for the PDFViewer component.
 *
 * @example
 * ```typescript
 * import { NgModule } from '@angular/core';
 * import { BrowserModule } from '@angular/platform-browser';
 * import { PDFViewerModule } from '@progress/kendo-angular-pdf-viewer';
 * import { AppComponent } from './app.component';
 *
 * @NgModule({
 *   declarations: [AppComponent],
 *   imports: [BrowserModule, PDFViewerModule],
 *   bootstrap: [AppComponent]
 * })
 * export class AppModule {}
 * ```
 */
export declare class PDFViewerModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<PDFViewerModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<PDFViewerModule, never, [typeof i1.PDFViewerComponent, typeof i2.PDFViewerCustomMessagesComponent], [typeof i1.PDFViewerComponent, typeof i2.PDFViewerCustomMessagesComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<PDFViewerModule>;
}
