/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { AfterViewInit, EventEmitter } from '@angular/core';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { SVGIcon } from '@progress/kendo-svg-icons';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class PDFViewerSearchComponent implements AfterViewInit {
    private localization;
    private textbox;
    private closeButton;
    ariaRole: string;
    onEscape(): void;
    matches: number;
    currentMatch: number;
    searchChange: EventEmitter<{
        text: string;
        matchCase: boolean;
    }>;
    prevMatch: EventEmitter<any>;
    nextMatch: EventEmitter<any>;
    close: EventEmitter<any>;
    convertLowercaseIcon: SVGIcon;
    arrowUpIcon: SVGIcon;
    arrowDownIcon: SVGIcon;
    xIcon: SVGIcon;
    value: string;
    matchCase: boolean;
    constructor(localization: LocalizationService);
    ngAfterViewInit(): void;
    messageFor(key: string): string;
    onShiftTab(e: Event): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PDFViewerSearchComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PDFViewerSearchComponent, "[kendoPDFViewerSearch]", never, { "matches": { "alias": "matches"; "required": false; }; "currentMatch": { "alias": "currentMatch"; "required": false; }; }, { "searchChange": "searchChange"; "prevMatch": "prevMatch"; "nextMatch": "nextMatch"; "close": "close"; }, never, never, true, never>;
}
